Show open negotiation detail
curl --request GET \
--url https://api.creditor.younegotiate.com/consumer-offers/{consumer} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.creditor.younegotiate.com/consumer-offers/{consumer}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.creditor.younegotiate.com/consumer-offers/{consumer}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": 123,
"is_not_editable": true,
"consumer": {
"id": 123,
"full_name": "<string>",
"member_account_number": "<string>",
"account_number": "<string>",
"account_name": "<string>",
"subclient_name": "<string>",
"current_balance": "<string>",
"payment_setup": true,
"expiry_date": "2023-12-25"
},
"pay_term_source": {
"label": "<string>"
},
"negotiation": {
"id": 123,
"type": {
"label": "Pay in Full"
},
"installment_type": {},
"status": {
"requires_response": true,
"counter_sent_at": "2023-11-07T05:31:56Z"
},
"reason": "<string>"
},
"original_offer": {
"settlement": {
"percentage": 123,
"amount": "<string>"
},
"payment_plan": {
"percentage": 123,
"amount": "<string>"
},
"installment": {
"percentage": 123,
"monthly_amount": "<string>"
},
"first_payment": {
"days": 123,
"date": "2023-12-25"
}
},
"consumer_offer": {
"settlement_amount": "<string>",
"payment_plan_amount": "<string>",
"monthly_amount": "<string>",
"first_payment_date": "2023-12-25",
"note": "<string>",
"sent_at": "2023-11-07T05:31:56Z"
},
"creditor_offer": {
"settlement_amount": "<string>",
"payment_plan_amount": "<string>",
"monthly_amount": "<string>",
"first_payment_date": "2023-12-25",
"note": "<string>",
"sent_at": "2023-11-07T05:31:56Z"
},
"validation_limits": {
"max_settlement_amount": "<string>",
"max_payment_plan_amount": "<string>",
"max_monthly_amount": "<string>",
"min_first_payment_date": "2023-12-25",
"counter_note_max_length": 123
}
}
}{
"message": "<string>"
}{
"message": "An active membership is required."
}{
"message": "<string>"
}Show open negotiation detail
Return the open negotiation offer detail used by the Creditor Portal Negotiations > Open Negotiations modal. The account must belong to the authenticated creditor company, match any assigned sub account, and still be an active unresolved open offer. The same detail is also available from GET /dashboard/performance/open-negotiations/{consumer}.
GET
/
consumer-offers
/
{consumer}
Show open negotiation detail
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Consumer account ID from the open negotiation list row.
Response
Open negotiation detail returned.
Show child attributes
Show child attributes
Last modified on July 20, 2026
Was this page helpful?
⌘I

